commit:     924742c75fda580701838e7af38d6a7af0db6da3
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 06:44:39 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 07:13:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=924742c7

net-mail/notmuch: install deprecated python bindings on 0.30

 - There are still some packages in ::gentoo repo that depend on
   the deprecated 'notmuch' python modules. As other major
   distributions still provide these bindings, we should enable them
   too and give some extra time for other upstreams to update into
   using 'notmuch2'.

Closes: https://bugs.gentoo.org/736204
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-mail/notmuch/{notmuch-0.30.ebuild => notmuch-0.30-r1.ebuild} | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/net-mail/notmuch/notmuch-0.30.ebuild 
b/net-mail/notmuch/notmuch-0.30-r1.ebuild
similarity index 97%
rename from net-mail/notmuch/notmuch-0.30.ebuild
rename to net-mail/notmuch/notmuch-0.30-r1.ebuild
index 9ef69706432..2806d20a9ff 100644
--- a/net-mail/notmuch/notmuch-0.30.ebuild
+++ b/net-mail/notmuch/notmuch-0.30-r1.ebuild
@@ -87,6 +87,12 @@ bindings() {
                ${@}
                rc=${?}
                popd || die
+
+               # Old deprecated bindings, #736204
+               pushd bindings/python || die
+               ${@}
+               rc=${?}
+               popd || die
        fi
        return ${rc}
 }

Reply via email to